/* -*-c++-*-
 * 
 *    Source     $RCSfile: in_theta.cc,v $ 
 *    Version    $Revision: 1.1.1.1 $ 
 *    Date       $Date: 1999/12/15 13:47:53 $ 
 *    Author     Christoph Helmberg 
 * 
 --------------------------------------------------------------------------- */

// ****************************************************************************
//
//  This file is part of the class library "SBmethod", an implementation 
//  of the spectral bundle method for eigenvalue optimization.
//
//  Copyright (C) 2000  Christoph Helmberg
//
//     Konrad-Zuse-Zentrum fuer Informationstechnik Berlin
//     Takustrasse 7, D-14195 Berlin, Germany
//      
//     helmberg@zib.de     http://www.zib.de/helmberg 
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// ****************************************************************************

#ident "$Id: in_theta.cc,v 1.1.1.1 1999/12/15 13:47:53 bzfhelmb Exp $"

#include <string.h>
#include "sparssym.hxx"
#include "cmgramde.hxx"
#include "cmsingle.hxx"

//transforms a weighted graph description frm standard in
//(output format of rudy: n m i1 j1 w1 ... im jm wm )
//into an eigenvalue problem readable by the spectral bundle algorithm
//
//input indices are assumed to start at 1 and are decremented to start at 0


using namespace SpectralBundleMethod;

int main(int argc,char **argv)
{
 Integer i,n,m;
 cin>>n>>m;
 cout<<setprecision(16)<<1.<<"\n";
 CMgramdense cm(Matrix(n,1,1.));
 cm.out(cout);
 cout<<m<<"\n";
 Integer indi,indj,val;
 for(i=0;i<m;i++){
     cin>>indi>>indj>>val;
     indi--;
     indj--;
     CMsingleton cm(n,indi,indj,1.); 
     cm.out(cout);
     cout<<EQU<<" "<<0.<<"\n";
 }
 return 0;
}

/* ---------------------------------------------------------------------------
 *    Change log $Log: in_theta.cc,v $
 *    Change log Revision 1.1.1.1  1999/12/15 13:47:53  bzfhelmb
 *    Change log Imported sources
 *    Change log
 *
 *    End of $Source: /kombadon/cvs/cvsroot/bzfhelmb/SBmethod/sb/in_theta.cc,v $
 --------------------------------------------------------------------------- */
